Package org.apache.torque.sql.whereclausebuilder

# Class EnumValueBuilder

java.lang.Object
org.apache.torque.sql.whereclausebuilder.AbstractWhereClausePsPartBuilder
org.apache.torque.sql.whereclausebuilder.EnumValueBuilder

All Implemented Interfaces:
  `WhereClausePsPartBuilder`

public class EnumValueBuilder extends AbstractWhereClausePsPartBuilder
Builds a PreparedStatementPart from a WhereClauseExpression containing an enum object.

Version:
  $Id: InBuilder.java 1448414 2013-02-20 21:06:35Z tfischer $

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnumValueBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PreparedStatementPart`
  `buildPs(WhereClauseExpression whereClausePart, boolean ignoreCase, Query query, Adapter adapter)`
  Takes a WhereClauseExpression containing a enum object and unwraps the enum value.
  `protected Object`
  `getWrappedValue(Object wrapped)`
  `boolean`
  `isApplicable(WhereClauseExpression whereClauseExpression, Adapter adapter)`
  Returns whether this WhereClausePsPartBuilder is applicable for a given WhereClauseExpression.

  ### Methods inherited from class org.apache.torque.sql.whereclausebuilder.AbstractWhereClausePsPartBuilder

  `getObjectOrColumnPsPartBuilder, setObjectOrColumnPsPartBuilder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EnumValueBuilder

    public EnumValueBuilder()

- ## Method Details

  - ### buildPs

    public PreparedStatementPart buildPs(WhereClauseExpression whereClausePart, boolean ignoreCase, Query query, Adapter adapter) throws TorqueException
    Takes a WhereClauseExpression containing a enum object and unwraps the enum value.
    Parameters:
      `whereClausePart` - the part of the where clause to build. Can be modified in this method.
      `ignoreCase` - If true and columns represent Strings, the appropriate function defined for the database will be used to ignore differences in case.
      `query` - the query which is currently built
      `adapter` - The adapter for the database for which the SQL should be created, not null.
    Returns:
      the PreparedStatementPart for the WhereClauseExpression.
    Throws:
      `TorqueException` - when rendering fails.

  - ### getWrappedValue

    protected Object getWrappedValue(Object wrapped) throws TorqueException
    Throws:
      `TorqueException`

  - ### isApplicable

    public boolean isApplicable(WhereClauseExpression whereClauseExpression, Adapter adapter)
    Returns whether this WhereClausePsPartBuilder is applicable for a given WhereClauseExpression.
    Parameters:
      `whereClauseExpression` - the WhereClauseExpression in question.
      `adapter` - The adapter for the database for which the SQL should be created, not null.
    Returns:
      true if applicable, false otherwise.